Bug 965110

Summary: wireshark: DoS (large loop) in the ETCH dissector (wnpa-sec-2013-31, upstream #8464)
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED DUPLICATE QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: huzaifas, jrusnack, jsafrane, phatina, rvokal
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130517,reported=20130518,source=internet,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,rhel-5/wireshark=notaffected,rhel-6/wireshark=notaffected,fedora-17/wireshark=notaffected,fedora-18/wireshark=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-22 02:21:39 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 965942    
Bug Blocks: 965198    

Description Jan Lieskovsky 2013-05-20 08:57:11 EDT
A denial of service flaw was found in the way ETCH dissector of Wireshark, a network traffic analyzer, processed certain ETCH packet capture files. A remote attacker could provide a specially-crafted ETCH packet capture file that, when processed, would lead to wireshark executable to enter large loop (denial of service) when trying to dissect that file.

Upstream bug report:
[1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8464

Reproducer:
[2] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8464#c0

Upstream patch:
[3] http://anonsvn.wireshark.org/viewvc?view=revision&revision=48919
Comment 1 Huzaifa S. Sidhpurwala 2013-05-21 02:16:06 EDT
Upstream advisory:

http://www.wireshark.org/security/wnpa-sec-2013-31.html

The version of wireshark shipped with Red Hat Enterprise Linux 5 and 6 does not have support for Apache Etch Protocol.
Comment 2 Huzaifa S. Sidhpurwala 2013-05-21 02:17:06 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 3 Huzaifa S. Sidhpurwala 2013-05-22 02:27:52 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-18 [bug 965942]
Comment 4 Huzaifa S. Sidhpurwala 2013-05-23 01:36:06 EDT

*** This bug has been marked as a duplicate of bug 966331 ***